//
//  ReportRequest.swift
//  SodaLive
//
//  Created by klaus on 2023/08/11.
//

import Foundation

struct ReportRequest: Encodable {
    let type: ReportType
    let reason: String
    var reportedMemberId: Int? = nil
    var cheersId: Int? = nil
    var audioContentId: Int? = nil
    var communityPostId: Int? = nil
}

enum ReportType: String, Codable {
    case PROFILE, USER, CHEERS, AUDIO_CONTENT, COMMUNITY_POST
}

